
package eu.dnetlib.dhp.oa.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonGetter;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonSetter;

/**
 * @author miriam.baglioni
 * @Date 07/11/22
 */
public class BipIndicators implements Serializable {
	private Integer citationCount;
	private Double influence;
	private Double influenceAlt;
	private Double popularity;
	private Double popularityAlt;
	private Double impulse;
	private String citationClass;
	private String influenceClass;
	private String influenceAltClass;
	private String impulseClass;
	private String popularityClass;
	private String popularityAltClass;

	public Double getInfluenceAlt() {
		return influenceAlt;
	}

	public void setInfluenceAlt(Double influenceAlt) {
		this.influenceAlt = influenceAlt;
	}

	public Double getPopularityAlt() {
		return popularityAlt;
	}

	public void setPopularityAlt(Double popularityAlt) {
		this.popularityAlt = popularityAlt;
	}

	public String getInfluenceAltClass() {
		return influenceAltClass;
	}

	public void setInfluenceAltClass(String influenceAltClass) {
		this.influenceAltClass = influenceAltClass;
	}

	public String getPopularityAltClass() {
		return popularityAltClass;
	}

	public void setPopularityAltClass(String popularityAltClass) {
		this.popularityAltClass = popularityAltClass;
	}

	public String getPopularityClass() {
		return popularityClass;
	}

	public void setPopularityClass(String popularityClass) {
		this.popularityClass = popularityClass;
	}

	public Integer getCitationCount() {
		return citationCount;
	}

	public void setCitationCount(Integer citationCount) {
		this.citationCount = citationCount;
	}

	public Double getInfluence() {
		return influence;
	}

	public void setInfluence(Double influence) {
		this.influence = influence;
	}

	public Double getPopularity() {
		return popularity;
	}

	public void setPopularity(Double popularity) {
		this.popularity = popularity;
	}

	public Double getImpulse() {
		return impulse;
	}

	public void setImpulse(Double impulse) {
		this.impulse = impulse;
	}

	public String getCitationClass() {
		return citationClass;
	}

	public void setCitationClass(String citationClass) {
		this.citationClass = citationClass;
	}

	public String getInfluenceClass() {
		return influenceClass;
	}

	public void setInfluenceClass(String influenceClass) {
		this.influenceClass = influenceClass;
	}

	public String getImpulseClass() {
		return impulseClass;
	}

	public void setImpulseClass(String impulseClass) {
		this.impulseClass = impulseClass;
	}
}
